IPCMK(1)

NUME
ipcmk - creează diverse resurse IPC

REZUMAT

ipcmk [opțiuni]

DESCRIERE

ipcmk vă permite să creați obiecte de comunicare interproces (IPC) POSIX și System V: segmente de memorie partajată, cozi de mesaje și semafoare (matrici pentru System V).

OPȚIUNI

Resursele pot fi specificate cu aceste opțiuni:

-M, --shmem dimensiunea
    Creează un segment de memorie partajată de dimensiunea octeți. Argumentul dimensiunea poate fi urmat de sufixele multiplicative KiB (=1024), MiB (=1024*1024), și așa mai departe pentru GiB, etc. („iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”) sau sufixele KB (=1000), MB (=1000*1000), ș.a.m.d. pentru GB, etc.

-m, --posix-shmem dimensiunea
    Creează un segment de memorie partajată POSIX de dimensiunea octeți. Argumentul dimensiunea poate fi urmat de sufixele multiplicative KiB (=1024), MiB (=1024*1024), și așa mai departe pentru GiB, etc. („iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”) sau sufixele KB (=1000), MB (=1000*1000), ș.a.m.d. pentru GB, etc.

-Q, --queue
    Creează o coadă de mesaje.

-q, --posix-mqueue
    Creează o coadă de mesaje POSIX.

-S, --semaphore număr
    Creează o matrice de semafoare cu numărul de elemente.

-s, --posix-semaphore
    Creați un semafor POSIX cu nume.

-n, --name nume
    Numele obiectului IPC POSIX. Această opțiune este obligatorie pentru obiectele IPC POSIX.

Alte opțiuni sunt:

-p, --mode mod
    Permisiuni de acces pentru resursă. Valoarea implicită este 0644.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

AUTORI

CONSULTAȚI ȘI

ipcrm(1), ipcs(1), lsipc(1), sysvipc(7)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda ipcmk face parte din pachetul util-linux care poate fi descărcat de la